<?php

class actionFotokonkursAddUchastnik extends cmsAction {

    public function run($knkurs_id = null) {

        if (!$knkurs_id) {
            cmsCore::error404();
        }
        
        if(!$this->cms_user->is_logged){
             cmsCore::error404();
        }
        $errors = false;

        $form = $this->getForm('uchastnik');

        $is_submitted = $this->request->has('submit');

        $konkurs_item = $this->model->getKonkurs($knkurs_id);

        $this->model->filterEqual('konkurs_id', $knkurs_id);

        $uchastnik_count = $this->model->getUchastnikiCount();
        
        if ($konkurs_item['tenderer_count'] != 0) {
            
            if ($uchastnik_count == $konkurs_item['tenderer_count']) {

                cmsUser::addSessionMessage(LANG_FOTOKONKURS_UCHASTNIK_COUNT_STOP, 'error');

                $this->redirectToAction('');
            }
        }
        $item = array(
            'user_id'=>$this->cms_user->id,
            'foto' => null,
            'points' => 0,
            'position' => null,
            'date' => date('Y-m-d H:i:s'),
            'surname' => null,
            'name' => null,
            'address' => null,
            'number' => $uchastnik_count + 1,
            'konkurs_id' => $knkurs_id,
            'is_enabled'=>true
        );

        $item = array_merge($item, $form->parse($this->request, $is_submitted));

        if ($is_submitted) {

            $errors = $form->validate($this, $item);

            if (!$errors) {
                $item_id = $this->model->addUchastnik($item);
                $this->redirectToAction('uchastnik', array($item_id));
            }

            if ($errors) {
                cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
            }
        }

        return $this->cms_template->render('form_uchastnik', array(
                    'do' => 'add',
                    'form' => $form,
                    'errors' => $errors,
                    'item' => $item
        ));
    }

}
