<?php

class actionFotokonkursPointupAjax extends cmsAction {

    public function run() {

        if (!$this->request->isAjax()) {
            cmsCore::error404();
        }

        if (!$this->isEnabled()) {

            cmsCore::error404();
        }
        if (!$this->cms_user->id) {

            cmsCore::error404();
        }

        $u_id = $this->request->get('u_id');

        if (!$u_id) {

            cmsCore::error404();
        }

        $konkurs_id = $this->request->get('k_id');

        if (!$konkurs_id) {

            cmsCore::error404();
        }
        $error = false;

        $this->model->filterEqual('user_id', $this->cms_user->id);

        $this->model->filterEqual('konkurs_id', $konkurs_id);

        $this->model->filterEqual('uchastnik_id', $u_id);

        $points_count = $this->model->getPointsCount();

        $this->model->resetFilters();

        if ($points_count > 0) {

            $error = true;

            $error_message = LANG_FOTOKONKURS_POINTS_YOU;
        }

        $item = $this->model->getKonkurs($konkurs_id);

        if ($item['status'] == 2) {

            $error = true;

            $error_message = LANG_FOTOKONKURS_STATUS_CLOSE;
        }

        if ($item['status'] == 0) {

            $error = true;

            $error_message = LANG_FOTOKONKURS_STATUS_OPEN;
        }

        if ($error) {
            return $this->cms_template->renderJSON(array(
                        'error' => $error,
                        'message' => $error_message,
            ));
        }
        $uchastnik = $this->model->getUchastnik($u_id);

        $uchastnik['points'] = $uchastnik['points'] + 1;

        $this->model->updateUchastnik($u_id, $uchastnik);

        $point = array(
            'user_id' => $this->cms_user->id,
            'data' => date('Y-m-d H:i:s'),
            'konkurs_id' => $konkurs_id,
            'uchastnik_id' => $u_id
        );

        $this->model->addPoint($point);


        return $this->cms_template->renderJSON(array(
                    'error' => $error,
                    'points' => $uchastnik['points'],
                    'u_id' => $u_id
        ));
    }

}
