<?php

function grid_konkursy($controller) {

    $options = array(
        'is_sortable' => true,
        'is_filter' => true,
        'is_pagination' => false,
        'is_draggable' => false,
        'order_by' => 'id',
        'order_to' => 'asc',
        'show_id' => true
    );

    $columns = array(
        'id' => array(
            'title' => 'id',
            'width' => 30,
        ),
        'title' => array(
            'title' => LANG_TITLE,
             'href' => href_to($controller->name, 'konkurs', array('{id}')),
        ),
        'status' => array(
            'title' => LANG_FOTOKONKURS_KONKURS_STATUS,
            'handler' => function($value, $item) {
                switch ($item['status']) {
                    case 0: return LANG_FOTOKONKURS_STATUS_OPEN;
                        break;
                    case 1: return LANG_FOTOKONKURS_STATUS_GO;
                        break;
                    case 2: return LANG_FOTOKONKURS_STATUS_CLOSE;
                        break;
                }
            }
        ),
        'prize_count' => array(
            'title' => LANG_FOTOKONKURS_KONKURS_PRIZE_COUNT,
            'width' => 30,
        ),
        'tenderer_count' => array(
            'title' => LANG_FOTOKONKURS_KONKURS_TENDERER_COUNT,
            'width' => 80,
            'handler' => function($value, $item) {
                if (number_format($item['tenderer_count']) == 0) {
                    return LANG_FOTOKONKURS_UCHASTNIK_NO_LIMIT;
                } else {
                    return $item['prize_count'];
                }
            }
        ),
        'set_start_date' => array(
            'title' => LANG_FOTOKONKURS_KONKURS_SET_START_DATE,
            'handler' => function($value, $item) {
               return date('d.m.Y',strtotime($item['set_start_date'])); 
            }
        ),
        'set_end_date' => array(
            'title' => LANG_FOTOKONKURS_KONKURS_SET_END_DATE,
             'handler' => function($value, $item) {
               return date('d.m.Y',strtotime($item['set_end_date'])); 
            }
        ),
        'contest_start_date' => array(
            'title' => LANG_FOTOKONKURS_KONKURS_CONTEST_START_DATE,
             'handler' => function($value, $item) {
               return date('d.m.Y',strtotime($item['contest_start_date'])); 
            }
        ),
        'tender_end_date' => array(
            'title' => LANG_FOTOKONKURS_KONKURS_TENDER_END_DATE,
             'handler' => function($value, $item) {
               return date('d.m.Y',strtotime($item['tender_end_date'])); 
            }
        ),
    );

    $actions = array(
        array(
            'title' => LANG_EDIT,
            'class' => 'edit',
            'href' => href_to($controller->name, 'edit_konkurs', array('{id}')),
        ),
        array(
            'title' => LANG_DELETE,
            'class' => 'delete',
            'href' => href_to($controller->name, 'delete_konkurs', array('{id}')),
            'confirm' => LANG_FOTOKONKURS_DELETE_KONKURS_CONFIRM,
        )
    );

    return array(
        'options' => $options,
        'columns' => $columns,
        'actions' => $actions
    );
}
